class MagmaTrail expands Effects;

var vector MoveAmount;
var int NumPuffs;

replication
{
	unreliable if( Role==ROLE_Authority )
		MoveAmount, NumPuffs;
}

simulated function Tick( float DeltaTime )
{
	if ( Level.NetMode  != NM_DedicatedServer )
	{
		ScaleGlow = (Lifespan/Default.Lifespan)*1.0;
		AmbientGlow = ScaleGlow * 210;
	}
}


simulated function PostBeginPlay()
{
	if ( Level.NetMode != NM_DedicatedServer )
		SetTimer(0.07, false);
}

simulated function Timer()
{
	local MagmaTrail r;
	local Magmaexplo a;
	
	if (NumPuffs>0)
	{
		r = Spawn(class'MagmaTrail',,,Location+MoveAmount);
		r.RemoteRole = ROLE_None;
		r.NumPuffs = NumPuffs -1;
		r.MoveAmount = MoveAmount;
		a = Spawn(class'Magmaexplo',,,Location+MoveAmount);
	}
}

defaultproperties
{
     Physics=PHYS_Rotating
     RemoteRole=ROLE_SimulatedProxy
     LifeSpan=0.270000
     Rotation=(Roll=20000)
     Texture=Texture'Botpack.Effects.jenergy3'
     Mesh=LodMesh'Botpack.SShockbm'
     DrawScale=0.15
     Style=STY_Translucent
     bUnlit=True
     bParticles=True
     bFixedRotationDir=True
     RotationRate=(Roll=1000000)
     DesiredRotation=(Roll=20000)
}
